//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import net.ihe.gazelle.tempmodel.org.decor.art.behavior.HasParent;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attribute name="unit" type="{}NonEmptyString" /&gt;
 *       &lt;attribute name="currency" type="{}NonEmptyString" /&gt;
 *       &lt;attribute name="minInclude" type="{}IntegerOrDecimalRange" /&gt;
 *       &lt;attribute name="maxInclude" type="{}IntegerOrDecimalRange" /&gt;
 *       &lt;attribute name="fractionDigits" type="{}FractionDigitsType" /&gt;
 *       &lt;attribute name="minLength" type="{}SmallNonNegativeInteger" /&gt;
 *       &lt;attribute name="maxLength" type="{}SmallNonNegativeInteger" /&gt;
 *       &lt;attribute name="value" type="{}NonEmptyString" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "property")
public class Property implements HasParent {

    @XmlAttribute(name = "unit")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String unit;
    @XmlAttribute(name = "currency")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String currency;
    @XmlAttribute(name = "minInclude")
    private String minInclude;
    @XmlAttribute(name = "maxInclude")
    private String maxInclude;
    @XmlAttribute(name = "fractionDigits")
    private String fractionDigits;
    @XmlAttribute(name = "minLength")
    private Integer minLength;
    @XmlAttribute(name = "maxLength")
    private Integer maxLength;
    @XmlAttribute(name = "value")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String value;
    
    @XmlTransient
	private RuleDefinition parentObject;
    
    public RuleDefinition getParentObject() {
		return parentObject;
	}

	public void setParentObject(RuleDefinition parentObject) {
		this.parentObject = parentObject;
	}
	
	void afterUnmarshal( javax.xml.bind.Unmarshaller u, Object parent ){
		if (parent instanceof RuleDefinition) {
			this.parentObject = (RuleDefinition) parent;
		}
	}


    /**
     * Gets the value of the unit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnit() {
        return unit;
    }

    /**
     * Sets the value of the unit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnit(String value) {
        this.unit = value;
    }

    /**
     * Gets the value of the currency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * Sets the value of the currency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrency(String value) {
        this.currency = value;
    }

    /**
     * Gets the value of the minInclude property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMinInclude() {
        return minInclude;
    }

    /**
     * Sets the value of the minInclude property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMinInclude(String value) {
        this.minInclude = value;
    }

    /**
     * Gets the value of the maxInclude property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaxInclude() {
        return maxInclude;
    }

    /**
     * Sets the value of the maxInclude property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaxInclude(String value) {
        this.maxInclude = value;
    }

    /**
     * Gets the value of the fractionDigits property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFractionDigits() {
        return fractionDigits;
    }

    /**
     * Sets the value of the fractionDigits property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFractionDigits(String value) {
        this.fractionDigits = value;
    }

    /**
     * Gets the value of the minLength property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMinLength() {
        return minLength;
    }

    /**
     * Sets the value of the minLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMinLength(Integer value) {
        this.minLength = value;
    }

    /**
     * Gets the value of the maxLength property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaxLength() {
        return maxLength;
    }

    /**
     * Sets the value of the maxLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaxLength(Integer value) {
        this.maxLength = value;
    }

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

}
